This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 426609 - Monotone-server uses non-standard RSA key name
Monotone-server uses non-standard RSA key name
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: monotone (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 17:58 EST by Geert Jansen
Modified: 2007-12-26 18:51 EST (History)
0 users

See Also:
Fixed In Version: 0.38-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-23 17:50:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geert Jansen 2007-12-22 17:58:33 EST
Description of problem:

Monotone-server uses the fully-qualified host name as the RSA key name.
According to the monotone documentation, an email address is the correct convention:

 - http://www.monotone.ca/docs/Naming-Conventions.html
 - http://www.monotone.ca/docs/Network-Service-Revisited.html

Version-Release number of selected component (if applicable):

0.37-3.fc8

How reproducible:

Always

Steps to Reproduce:

1. yum -y install monotone-server
2. /sbin/service monotone-server start
  
Actual results:

The server key (ls /etc/monotone/private-keys) is named after the fully
qualified host name.

Expected results:

According to the monotone docs, a server key name of "monotone@fqdn" or
"monotone-server@fqdn" would be more appropriate.
Comment 1 Fedora Update System 2007-12-23 17:50:30 EST
monotone-0.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-12-23 17:51:16 EST
monotone-0.38-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-12-26 18:51:06 EST
monotone-0.38-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-12-26 18:51:23 EST
monotone-0.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.